Synnefo - Bug # 977

Status: Closed Priority: High

Author: Vangelis Koukis Category: Cyclades Ul
Created: 08/01/2011 Assignee: Kostas Papadimitriou
Updated: 09/02/2011 Due date:

Subject: Ability to retrieve authentication token from the Ul

Description

To allow users to use the ./kamaki command-line API client, the user needs a way to retrieve his or her authentication token from within
the UL.

Initial approach:

Extend the user menu, add an "enable API access..." option, which will display a nice informative popup:

"Manage your cloud resources with the <a href="whatever">./kamaki</a> and the following
authentication token:

Oabcef1234567890abcdef1234567890abcdef”

Associated revisions

Revision 3c08f055 - 08/02/2011 04:13 pm - Kostas Papadimitriou

Ability to retrieve authentication token from the Ul, Refs #977

Revision 79f287b1 - 08/02/2011 05:52 pm - Kostas Papadimitriou

Improved message for the API overlay on Ul, Refs #977

History

#1 - 08/02/2011 04:15 pm - Kostas Papadimitriou

feature added on commit:3c08f05

#2 - 08/02/2011 04:15 pm - Kostas Papadimitriou

- Status changed from New to Feedback

#3 - 08/02/2011 05:59 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Closed

ok, closed

#4 - 09/02/2011 10:17 am - Kostas Papadimitriou
- Target version changed from v0.5.5 to v0.6
